﻿using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace tTP.Content.Items.Placeable
{
    public class PersonalTeleporter : ModItem
    {
        public override void SetDefaults()
        {
            Item.CloneDefaults(ItemID.ArmorStatue);
            Item.createTile = ModContent.TileType<Tiles.PersonalTeleporter>();
            Item.placeStyle = 0;
        }

        public override void AddRecipes()
        {
            tTPConfigs config = ModContent.GetInstance<tTPConfigs>();
            Recipe.ClearAvailableRecipes();
            Recipe recipe = CreateRecipe();
            if (config.UsetMxTablets)
            {
                if (ModLoader.TryGetMod("tMx", out Mod tMxft) && tMxft.TryFind<ModItem>("FrozenTablet", out ModItem FrozenTablet))
                {
                    recipe.AddIngredient(FrozenTablet.Type, 1);
                }
                if (ModLoader.TryGetMod("tMx", out Mod tMxst) && tMxst.TryFind<ModItem>("SandTablet", out ModItem SandTablet))
                {
                    recipe.AddIngredient(SandTablet.Type, 1);
                }
                if (ModLoader.TryGetMod("tMx", out Mod tMxtt) && tMxtt.TryFind<ModItem>("ToxicTablet", out ModItem ToxicTablet))
                {
                    recipe.AddIngredient(ToxicTablet.Type, 1);
                }
                if (ModLoader.TryGetMod("tMx", out Mod tMxmt) && tMxmt.TryFind<ModItem>("MoltenTablet", out ModItem MoltenTablet))
                {
                    recipe.AddIngredient(MoltenTablet.Type, 1);
                }
            } else
            {               
                int mlc = config.VanillaMatsList.Count;
                for (int vm = 0; vm < mlc; vm++)
                {
                    recipe.AddIngredient(config.VanillaMatsList[vm], config.VanillaMatsListQty[vm]);
                }
            }
            recipe.AddTile(TileID.WorkBenches);
            recipe.Register();
        }
    }
}